Header (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.http.control, class: Header

Package org.apache.jmeter.protocol.http.control

# Class Header

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.protocol.http.control.Header

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `org.apache.jmeter.testelement.TestElement`

public class Header extends AbstractTestElement implements Serializable
This class is an HTTP Header encapsulator.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Header()`
  Create the header.
  `Header(String name, String value)`
  Create the header.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addConfigElement(ConfigElement config)`
  `boolean`
  `expectsModification()`
  `String`
  `getName()`
  Get the name for this object.
  `org.apache.jmeter.testelement.schema.PropertiesAccessor<? extends Header,? extends org.apache.jmeter.protocol.http.control.HeaderSchema>`
  `getProps()`
  `org.apache.jmeter.protocol.http.control.HeaderSchema`
  `getSchema()`
  `String`
  `getValue()`
  Get the value for this object.
  `void`
  `setName(String name)`
  Set the name for this object.
  `void`
  `setValue(String value)`
  Set the value for this object.
  `String`
  `toString()`
  Creates a string representation of this header.

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Constructor Details

  - ### Header

    public Header()
    Create the header. Uses an empty name and value as default

  - ### Header

    public Header(String name, String value)
    Create the header.
    Parameters:
      `name` - name of the header
      `value` - name of the header

- ## Method Details

  - ### getSchema

    public org.apache.jmeter.protocol.http.control.HeaderSchema getSchema()
    Specified by:
      `getSchema` in interface `org.apache.jmeter.testelement.TestElement`

  - ### getProps

    public org.apache.jmeter.testelement.schema.PropertiesAccessor<? extends Header,? extends org.apache.jmeter.protocol.http.control.HeaderSchema> getProps()
    Specified by:
      `getProps` in interface `org.apache.jmeter.testelement.TestElement`

  - ### addConfigElement

    public void addConfigElement(ConfigElement config)

  - ### expectsModification

    public boolean expectsModification()

  - ### getName

    public String getName()
    Get the name for this object.
    Specified by:
      `getName` in interface `org.apache.jmeter.testelement.TestElement`
    Overrides:
      `getName` in class `AbstractTestElement`
    Returns:
      the name of this header

  - ### setName

    public void setName(String name)
    Set the name for this object.
    Specified by:
      `setName` in interface `org.apache.jmeter.testelement.TestElement`
    Overrides:
      `setName` in class `AbstractTestElement`
    Parameters:
      `name` - the name of this header

  - ### getValue

    public String getValue()
    Get the value for this object.
    Returns:
      the value of this header

  - ### setValue

    public void setValue(String value)
    Set the value for this object.
    Parameters:
      `value` - the value of this header

  - ### toString

    public String toString()
    Creates a string representation of this header.
    Overrides:
      `toString` in class `Object`